[B071]Extract chemical structures from a single patent

post
https://connect.patsnap.com/synapse/patent/chemical/getSingleData
Try in Sandbox

Extract chemical structures (compounds) mentioned in a single patent and their related information through patent ID, including compound names, InChI Keys, SMILES, molecular weights, mention counts in different sections, etc.

patent_id and patent_number are required, if both are provided, patent_id takes precedence

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
exclude_reagents
boolean-
Exclude reagents
limit
integer<int32>10
Number of returned items, default 10.Maximum limit setting 1000
only_first
boolean-
Only show compounds that first appear in this patent
page
integer<int32>1
page, default 1
patent_id
stringf5817034-1395-4bc1-b0f2-eb712e66702c
Patent id
patent_number
stringUS12497460B2
Patent number
range_max
number<double>888
Maximum molecular weight
range_min
number<double>30
Minimum molecular weight
source
array[ 1, 2, 3, 4, 5, 6, 7 ]
Source, 1:Manual | 2:Other | 3:Picture | 4:Claims | 5:Abstract | 6:Title | 7:Description

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
page
integer<int32>1
Current page number
size
integer<int32>10
Number of items per page
items
arrayPlease check the form:PatentChemicalMention
Result items list
mwt
number<double>868.45
Molecular weight
smiles
stringCC1(CCC(=C(C1)C2=CC=C(C=C2)Cl)CN3CCN(CC3)C4=CC(=C(C=C4)C(=O)NS(=O)(=O)C5=CC(=C(C=C5)NCC6CCOCC6)[N+](=O)[O-])OC7=CN=C8C(=C7)C=CN8)C
SMILES structure
inchi_key
stringLQBVNQSMGBZMKD-UHFFFAOYSA-N
InChI Key
patent_id
stringf5817034-1395-4bc1-b0f2-eb712e66702c
Patent id
ta_mention
integer<int32>-
Title and abstract mention count
pdf_mention
integer<int32>-
PDF mention count
desc_mention
integer<int32>8
Description mention count
pdf_position
arrayPlease check the form:PatentChemicalMentionPosition
PDF location
page
integer<int32>1
Page
position
array[ 0.2513, 0.6182, 0.3493, 0.6696 ]
Location
compound_name
stringVENETOCLAX / 4-[4-[[2-(4-chlorophenyl)-4,4-dimethylcyclohexen-1-yl]methyl]piperazin-1-yl]-N-[3-nitro-4-(oxan-4-ylmethylamino)phenyl]sulfonyl-2-(1H-pyrrolo[2,3-b]pyridin-5-yloxy)benzamide
Compound name
claims_mention
integer<int32>1
Claims mention count
publication_date
string20230727
public date
total
integer<int32>8
Total number of records
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "page": 1,
    "size": 10,
    "items": [
      {
        "mwt": 868.45,
        "smiles": "CC1(CCC(=C(C1)C2=CC=C(C=C2)Cl)CN3CCN(CC3)C4=CC(=C(C=C4)C(=O)NS(=O)(=O)C5=CC(=C(C=C5)NCC6CCOCC6)[N+](=O)[O-])OC7=CN=C8C(=C7)C=CN8)C",
        "inchi_key": "LQBVNQSMGBZMKD-UHFFFAOYSA-N",
        "patent_id": "f5817034-1395-4bc1-b0f2-eb712e66702c",
        "ta_mention": 0,
        "pdf_mention": 0,
        "desc_mention": 8,
        "pdf_position": [
          {
            "page": 1,
            "position": [
              0.2513,
              0.6182,
              0.3493,
              0.6696
            ]
          }
        ],
        "compound_name": "VENETOCLAX / 4-[4-[[2-(4-chlorophenyl)-4,4-dimethylcyclohexen-1-yl]methyl]piperazin-1-yl]-N-[3-nitro-4-(oxan-4-ylmethylamino)phenyl]sulfonyl-2-(1H-pyrrolo[2,3-b]pyridin-5-yloxy)benzamide",
        "claims_mention": 1,
        "publication_date": 20230727
      }
    ],
    "total": 8
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms